# Registry

AssemblyLift IO Modules are (by default) fetched from the IOmod Registry, located at **registry.assemblylift.akkoro.io**. The registry is read-only for the time being, while any early bugs or issues are ironed out.

Currently there is no registry search or UI (coming soon!). In the meantime, available modules are listed below.

| Coordinates         | Latest Version | Description                                        | Guest Crate                                                                                                                     |
| ------------------- | -------------- | -------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------- |
| akkoro.aws.dynamodb | 0.1.5          | AWS DynamoDB Client. Generated against latest API. | [assemblylift-iomod-dynamodb-guest](https://docs.rs/assemblylift-iomod-dynamodb-guest/0.1.7/assemblylift_iomod_dynamodb_guest/) |
| akkoro.aws.lambda   | 0.1.1          | AWS Lambda Client. Generated against latest API.   | [assemblylift-iomod-lambda-guest](https://docs.rs/assemblylift-iomod-lambda-guest/0.1.1/assemblylift_iomod_lambda_guest/)       |
| akkoro.aws.s3       | 0.1.1          | AWS S3 Client. Generated against latest API.       | [assemblylift-iomod-s3-guest](https://docs.rs/assemblylift-iomod-s3-guest/0.1.1/assemblylift_iomod_s3_guest/)                   |
| akkoro.std.crypto   | 0.1.2          | Standard cryptography                              | [assemblylift-iomod-crypto-guest](https://docs.rs/assemblylift-iomod-crypto-guest/0.1.2/assemblylift_iomod_crypto_guest/)       |
| akkoro.std.http     | 0.1.0          | Standard HTTP client                               | [assemblylift-iomod-http-guest](https://docs.rs/assemblylift-iomod-http-guest/0.1.0/assemblylift_iomod_http_guest/)             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.assemblylift.akkoro.io/learn-assemblylift/io-modules/registry.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
